This is an extension and not part of the main GoJS library. Note that the API for this class may change at any time. If you intend to use an extension in production, you should copy the code to your own source directory. Extensions can be found in the GoJS kit under the `extensions` or `extensionsTS` folders. See the Extensions intro page for more information.

### Hierarchy

- Layout
  - RadialLayout

Given a root Node, this arranges connected nodes in concentric rings, layered by the minimum link distance from the root.

If you want to experiment with this extension, try the Radial Layout sample.

## Index

### Properties

- layerThickness
- maxLayers
- root

### Methods

- cloneProtected
- commitLayers
- commitLayout
- createNetwork
- doLayout
- rotateNode

## Properties

### layerThickness : number

- Gets or sets the thickness of each ring representing a layer.

  The default value is 100.

### maxLayers : number

- Gets or sets the maximum number of layers to be shown, in addition to the root node at layer zero.

  The default value is Infinity.

### root : Node | null

- Gets or sets the Node that acts as the root or central node of the radial layout.

## Methods

### Override cloneProtected

- cloneProtected(copy: this): void

- Copies properties to a cloned Layout.

  #### Parameters

  - ##### copy: this

  #### Returns void

### Virtual commitLayers

- commitLayers(): void

- Override this method in order to create background circles indicating the layers of the radial layout. By default this method does nothing.

  #### Returns void

### Override commitLayout

- commitLayout(): void

- This override positions each Node and also calls rotateNode.

  #### Returns void

### Override createNetwork

- createNetwork(): LayoutNetwork

- Use a LayoutNetwork that always creates RadialVertexes.

  #### Returns LayoutNetwork

### Override doLayout

- doLayout(coll: Diagram | Group | Iterable<Part>): void

- Find distances between root and vertexes, and then lay out radially.

  #### Parameters

  - ##### coll: Diagram | Group | Iterable<Part>

    A Diagram or a Group or a collection of Parts.

  #### Returns void

### Virtual rotateNode

- rotateNode(node: Node, angle: number, sweep: number, radius: number): void

- Override this method in order to modify each node as it is laid out. By default this method does nothing.

  #### Parameters

  - ##### node: Node

  - ##### angle: number

  - ##### sweep: number

  - ##### radius: number

  #### Returns void

Copyright © 1998-2021 by Northwoods Software Corporation.